# class Chef::Util::Backup

### Attributes

new_resource[R]
path[RW]

### Public Class Methods

new(new_resource, path = nil) click to toggle source

    # File lib/chef/util/backup.rb, line 25
    def initialize(new_resource, path = nil)
      @new_resource = new_resource
      @path = path.nil? ? new_resource.path : path
    end

### Public Instance Methods

backup!() click to toggle source

    # File lib/chef/util/backup.rb, line 30
    def backup!
      if @new_resource.backup != false && @new_resource.backup > 0 && ::File.exist?(path)
        do_backup
        # Clean up after the number of backups
        slice_number = @new_resource.backup
        backup_files = sorted_backup_files
        if backup_files.length >= @new_resource.backup
          remainder = backup_files.slice(slice_number..-1)
          remainder.each do |backup_to_delete|
            delete_backup(backup_to_delete)
          end
        end
      end
    end